//+------------------------------------------------------------------+
//                Input variables
//+------------------------------------------------------------------+
input string ip = "127.0.0.1";
input int Port = 7777;
input string ChartName = "EURUSD";
input string Login = "some_login12345";
input string Password = "some_password12345";
input int RetryTime = 10;
input ENUM_TIMEFRAMES Timeframe = PERIOD_M1;
input bool PrintTicks = true;

//+------------------------------------------------------------------+
//               Programm global variables
//+------------------------------------------------------------------+

char hash[65];
char symbol_[20];
char timeframe_[5];
char date_humanity_[50];
char unix_datetime[50];
double ask_;
double bid_;
double open_;
double close_;
double high_;
double low_;
double volume_;
string local;
//+------------------------------------------------------------------+
//| Imported variables and functions                                 |
//+------------------------------------------------------------------+
#import "DLL2.dll"
int api_init(void);

int api_connect(char& buf[], int port);

int api_login(char& login[], char& password[], char& hash[]);

int api_run(void);

int api_subscribe(char& hash[], char& symbol[], char& timeframe[]);

int read_new_tick(char& symbol[], char& timeframe[], char& date_humanity[], char& datetime_[], double ask,
	double bid, double open, double close, double high, double low, double volume);
	
int  api_close(void);

#import

//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
int status = 0;

  if ( api_init()!=1 ) {
  Print("client failed start");
   Sleep(10);
  return (INIT_FAILED);
  }
  Print("client init succesfull");
  
 
  
  char buf_[];
   StringToCharArray(ip, buf_);
  if ( api_connect(buf_,Port) !=1 ){
  Print("client failed connect");
   Sleep(10);
  return (INIT_FAILED);
  }
  Print("client connected succesfull");
  
  
  /*
  
   char buf_2[];
   StringToCharArray(Login, buf_2);
   char buf_3[];
   StringToCharArray(Password, buf_3);
   
  Print("before api_login");
  status = api_login(buf_2, buf_3, hash);
  if ( status  !=1 ){
  Print("api login failed with code ", status);
  Sleep(10);
 // return (INIT_FAILED);
  }
   else {
  Print("api login succesfull");
 // printf ( "hash = %C", hash[0]);
  }
  //api_connect
  */
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   api_close();
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---
/*
   while ( read_new_tick(symbol_, timeframe_, date_humanity_, unix_datetime, ask_,bid_, open_, close_, high_, low_, volume_)>0 ) {
   if (PrintTicks){
   local = "" ; CharArrayToString(symbol_, local);
   Print("symbol = ", local); 
  local = "" ; CharArrayToString(timeframe_,local);
   Print("timeframe = ", local); 
 local = "" ; CharArrayToString(date_humanity_,local);
   Print("date_humanity_ = ", local); 
 local = "" ; CharArrayToString(unix_datetime,local);
   Print("unix_datetime = ", local); 
   Print("ask_ = ", ask_); 
   Print("bid_ = ", bid_); 
   Print("open_ = ", open_); 
   Print("close_ = ", close_); 
   Print("high_ = ", high_); 
   Print("low_ = ", low_); 
   Print("volume_ = ", volume_); 
   }
   }
   */
  }
//+------------------------------------------------------------------+
