// tick_receiver.cpp : Defines the exported functions for the DLL application.
//

#include "stdafx.h"
#include <map>
#include <string>
#include <vector>
#include <fstream>
#include <boost/asio.hpp>
#include <thread>
#include <chrono>
#include <ctime>
#include <memory>

static boost::asio::io_context io;
static std::unique_ptr<boost::asio::ip::tcp::socket> socket_;
static boost::system::error_code ec;



_DLLAPI int __stdcall client_connect(int port){

	boost::asio::ip::tcp::resolver resolver(io);
	boost::asio::ip::tcp::resolver::results_type endpoint = resolver.resolve("127.0.0.1", std::to_string(port));
	boost::asio::connect(*socket_, endpoint);
	return 1;
}





_DLLAPI int __stdcall clien_write(char* msg) {
	int size = boost::asio::write(*socket_, boost::asio::buffer(msg, strlen(msg)));

	return 1;
}

_DLLAPI int __stdcall client_read(char* msg) {
	char reply[1000];
	size_t reply_length = boost::asio::read(*socket_, boost::asio::buffer(reply, 1000));
	strcpy_s(msg, reply_length, reply);

	return 1;
}

_DLLAPI int __stdcall clien_close() {
	return 1;
}